Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Object_Proxy_Impl Class Reference

TAO_Object_Proxy_Impl. More...

`#include <Object_Proxy_Impl.h>`

List of all members.

## Public Methods
virtual | ~TAO_Object_Proxy_Impl (void)
virtual CORBA::Boolean | _is_a (const CORBA::Object_ptr target, const char *logical_type_id ACE_ENV_ARG_DECL)=0
virtual CORBA::Boolean | _non_existent (const CORBA::Object_ptr target ACE_ENV_ARG_DECL)=0
virtual CORBA::InterfaceDef_ptr | _get_interface (const CORBA::Object_ptr target ACE_ENV_ARG_DECL)=0
virtual CORBA::Object_ptr | _get_component (const CORBA::Object_ptr target ACE_ENV_ARG_DECL)=0

## Detailed Description

TAO_Object_Proxy_Impl.

This class defines the interface that the proxy for the class CORBA::Object have to implement.

## Constructor & Destructor Documentation

TAO_Object_Proxy_Impl::~TAO_Object_Proxy_Impl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual CORBA::Object_ptr TAO_Object_Proxy_Impl::_get_component | ( | const CORBA::Object_ptr target | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

virtual CORBA::InterfaceDef_ptr TAO_Object_Proxy_Impl::_get_interface | ( | const CORBA::Object_ptr target | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

virtual CORBA::Boolean TAO_Object_Proxy_Impl::_is_a | ( | const CORBA::Object_ptr | target,
|  | const char *logical_type_id | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

virtual CORBA::Boolean TAO_Object_Proxy_Impl::_non_existent | ( | const CORBA::Object_ptr target | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

The documentation for this class was generated from the following files:

- Object_Proxy_Impl.h
- Object_Proxy_Impl.cpp